//*************************************************************
//  File name: vwdde.h
//
//  Purpose:   Header file for the Myriad DDE integration.
//
//*************************************************************

#ifndef INC_VWDDE_H
#define INC_VWDDE_H

#ifdef STDCALL_EXPORT_STYLE
#define ExportStyle WINAPI
#else
#define ExportStyle DllExport
#endif /* STDCALL_EXPORT_STYLE */

#include "igcinc.h"

#define  MYRIAD_EXECUTABLE_NAME  "myriad32.exe"

/* External API routines */
BOOL   ExportStyle ProcessExecutionString(char *pString);
BOOL   ExportStyle ProcessOnetimeExecutionString(char *pString, BOOL bStartMyriad);
BOOL   ExportStyle ProcessSyncExecutionString(char *pString);
BOOL   ExportStyle ProcessExecutionCommand(ExecutionCommandType Command, void *pData);
BOOL   ExportStyle ProcessOnetimeExecutionCommand(ExecutionCommandType Command, void *pData, BOOL bStartMyriad);
BOOL   ExportStyle ProcessSyncExecutionCommand(ExecutionCommandType Command, void *pData);
BOOL   ExportStyle StartAndInitServer(LPSTR ServerName);
BOOL   ExportStyle CloseConversation(void);
BOOL   ExportStyle InitServer(void);
BOOL   ExportStyle InitServerWithService(LPCSTR ServiceName);
BOOL   ExportStyle ServerIsExecuting(void);
BOOL   ExportStyle IsServerUp(void);
BOOL   ExportStyle CancelExec(void);
BOOL   ExportStyle SetNotifyWindow(HWND hWnd);
BOOL   ExportStyle SetServerName(LPSTR ServerName);
DWORD  ExportStyle GetServerName(LPSTR ServerName, int MaxLength);
DWORD  ExportStyle GetTopicName(LPSTR TopicName, int MaxLength);
DWORD  ExportStyle GetItemName(LPSTR ItemName, int MaxLength);

#endif /* INC_VWDDE_H */
