/***********************************************************************
**                                                                    **
**  Copyright (c) 1996 Informative Graphics Corp.                     **
**      706 E. Bell Rd.  Suite 207                                    **
**      Phoenix, AZ  85022                                            **
**                                                                    **
**      ALL RIGHTS RESERVED.                                          **
**                                                                    **
**      May 1, 1996                                                   **
**                                                                    **
**      This source code can be used and distributed by ANYONE.  No   **
**      warranties of any kind are offered by Informative Graphics    **
**      as to the useability of this software.  USE AT YOUR OWN RISK! **
**                                                                    **
**  File: myrintob.h                                                  **
**  Written By: Shaun Riordan                                         **
**  Purpose:                                                          **
**                                                                    **
**  This module contains the routines which process the intelligent   **
**  object demo handling.                                             **
**                                                                    **
************************************************************************/

#ifndef __MYRINTOB_H
#define __MYRINTOB_H

typedef struct FileList {
   long            filehandle;
   void           *pMyBlocks;
   void           *pMyLastBlock;
   void           *next;
   char           filename[1];
} FileList, *pFileRec;

typedef struct BlockList {
   long           filehandle;
   int            blockhandle;
   void           *pMyAttributes;
   void           *pMyLastAttribute;
   void           *next;
   char           blockname[1];
} BlockList, *pBlockRec;

typedef struct AttributeList {
   long           filehandle;
   int            blockhandle;
   int            attributehandle;
   int            data_offset;
   void           *next;
   char           tag[1];
} AttributeList, *pAttributeRec;

//prototypes

void AddFileToList(struct NotifyLoadFileB *pRecord);
void AddBlockToList(struct NotifyLoadBlockB *pRecord);
void AddAttributeToList(struct NotifyLoadAttrib *pRecord);
BOOL GetMsgString(struct NotifyLaunchBlock *pRecord,char *MessageTitle,char *MessageBody);
pFileRec GetFilePointerFromFileHandle(long hDesiredFile);
pBlockRec GetBlockPointerFromBlockHandle(pFileRec pDesiredFile, int hDesiredBlock);
void GetFilenameFromFilePointer(pFileRec pFile, char *MessageTitle);
void CatBlocknameFromBlockPointer(pBlockRec pBlock,char *MessageTitle);
void AddAttributeText(pAttributeRec pAttr, char *MessageBody);
pFileRec GetFilePointerFromName(LPSTR filename);
void CleanUpAll(void);
void RemoveFile(pFileRec pFile);
void RemoveBlock(pBlockRec pBlock);
pFileRec FindPrevFileRec(pFileRec pFile);
void GetTAGSize(void);
void strcpySpaces(LPSTR string1, LPSTR string2);
void strcpyDots(LPSTR string1, LPSTR string2);
void doFileLoad(LPSTR buffer);
void fillintable(void);
#endif /* MYRINTOB_H */


