/***********************************************************************
**                                                                    **
**  Copyright (c) 1996 Informative Graphics Corp.                     **
**      706 E. Bell Rd.  Suite 207                                    **
**      Phoenix, AZ  85022                                            **
**                                                                    **
**      ALL RIGHTS RESERVED.                                          **
**                                                                    **
**      March 11, 1996                                                **
**                                                                    **
**      This source code can be used and distributed by ANYONE.  No   **
**      warranties of any kind are offered by Informative Graphics    **
**      as to the useability of this software.  USE AT YOUR OWN RISK! **
**                                                                    **
**  File: myrtest.h                                                   **
**  Written By: Scott Willis                                          **
**  Purpose:                                                          **
**                                                                    **
**    This file contains the resource ID definitions for the test     **
**    application.                                                    **
**                                                                    **
************************************************************************/

#ifndef INC_MYRTEST_H
#define INC_MYRTEST_H
 
// Menu item declarations
#define IDM_FILE_CLEAR                           100  
#define IDM_FILE_DUMP                            101  
#define IDM_FILE_SET_SERVER_NAME                 102  
#define IDM_FILE_GET_SERVER_NAME                 103  
#define IDM_FILE_GET_TOPIC_NAME                  104  
#define IDM_FILE_GET_ITEM_NAME                   105  
#define IDM_FILE_EXIT                            106  

#define IDM_CONNECT_CONNECT_START                200
#define IDM_CONNECT_CONNECT_NOSTART              201
#define IDM_CONNECT_DISCONNECT                   202
#define IDM_CONNECT_EXIT                         203
#define IDM_CONNECT_ONETIME_START                204
#define IDM_CONNECT_ONETIME_NOSTART              205
#define IDM_CONNECT_STRING_START                 206
#define IDM_CONNECT_STRING_NOSTART               207

#define IDM_NOTIFY_NOTIFY_ALL                    300
#define IDM_NOTIFY_NOTIFY_OFF                    301
#define IDM_NOTIFY_NOTIFY_EXECUTION_RETURNS      302
#define IDM_NOTIFY_NOTIFY_MOUSE                  303
#define IDM_NOTIFY_NOTIFY_INTELLIGENTOBJ         304
#define IDM_NOTIFY_NOTIFY_MARKUP                 305
#define IDM_NOTIFY_NOTIFY_FILE_LOAD              306
#define IDM_NOTIFY_NOTIFY_VIEWPORT               307
#define IDM_NOTIFY_NOTIFY_EXIT                   308
#define IDM_NOTIFY_NOTIFY_DATABASE_LOOKUP        309
#define IDM_NOTIFY_NOTIFY_PRINT                  310
#define IDM_NOTIFY_NOTIFY_ISO_BANNER             311
#define IDM_NOTIFY_NOTIFY_CUSTOM                 312
#define IDM_NOTIFY_NOTIFY_MENU                   313
#define IDM_NOTIFY_NOTIFY_CHANGEMARK             314
#define IDM_NOTIFY_NOTIFY_INTOBJ_LOAD_LAUNCH     315
#define IDM_NOTIFY_NOTIFY_3D                     316

#define IDM_COMMAND_COMMAND_SET_NOTIFICATIONS    402
#define IDM_COMMAND_COMMAND_ALTERNATEVIEW        404
#define IDM_COMMAND_COMMAND_CLIP_ALL             405
#define IDM_COMMAND_COMMAND_CLIP_ASK             406
#define IDM_COMMAND_COMMAND_CLOSEALL             407
#define IDM_COMMAND_COMMAND_CLOSEMARKUP          408
#define IDM_COMMAND_COMMAND_CLOSESESSION         409
#define IDM_COMMAND_COMMAND_DELETEITEM           410
#define IDM_COMMAND_COMMAND_DISABLEALTVIEW_ON    411
#define IDM_COMMAND_COMMAND_DISABLEALTVIEW_OFF   412
#define IDM_COMMAND_COMMAND_FOLDERCLEAR          413
#define IDM_COMMAND_COMMAND_INITFOLDERFILE       414
#define IDM_COMMAND_COMMAND_LOADFOLDERFILE       415
#define IDM_COMMAND_COMMAND_INVERTCOLORS         417
#define IDM_COMMAND_COMMAND_LOCKWINDOW_ON        418
#define IDM_COMMAND_COMMAND_LOCKWINDOW_OFF       419
#define IDM_COMMAND_COMMAND_NEWMARKUP            420
#define IDM_COMMAND_COMMAND_OPENMARKUP           421
#define IDM_COMMAND_COMMAND_DOC_NEXT             422
#define IDM_COMMAND_COMMAND_DOC_PREVIOUS         423
#define IDM_COMMAND_COMMAND_PANDISPLACEMENT      424
#define IDM_COMMAND_COMMAND_PRINT_QUICK          425
#define IDM_COMMAND_COMMAND_PRINT_DIALOG         426
#define IDM_COMMAND_COMMAND_RASTER_SAMPLE        427
#define IDM_COMMAND_COMMAND_RASTER_FULL          428
#define IDM_COMMAND_COMMAND_RASTER_SCALE         429 
#define IDM_COMMAND_COMMAND_REPAINT              430
#define IDM_COMMAND_COMMAND_ROTATE_PREVIOUS      431
#define IDM_COMMAND_COMMAND_ROTATE_NEXT          432
#define IDM_COMMAND_COMMAND_ROTATE_0             433
#define IDM_COMMAND_COMMAND_ROTATE_90            434
#define IDM_COMMAND_COMMAND_ROTATE_180           435
#define IDM_COMMAND_COMMAND_ROTATE_270           436
#define IDM_COMMAND_COMMAND_SAVEMARKUP           437
#define IDM_COMMAND_COMMAND_SETFRAMEWINDOW       438
#define IDM_COMMAND_COMMAND_SETMARKUPCOLOR       439
#define IDM_COMMAND_COMMAND_SETRETURNDATA_SET    440
#define IDM_COMMAND_COMMAND_SETRETURNDATA_GET    441
#define IDM_COMMAND_COMMAND_TOGGLETOOLBAR        442
#define IDM_COMMAND_COMMAND_WINDOW_TILE_HORZ     443
#define IDM_COMMAND_COMMAND_WINDOW_TILE_VERT     444
#define IDM_COMMAND_COMMAND_WINDOW_CASCADE       445
#define IDM_COMMAND_COMMAND_WINDOW_FIT           446
#define IDM_COMMAND_COMMAND_WINDOW_MAXIMIZE      447
#define IDM_COMMAND_COMMAND_WINDOW_MINIMIZE      448
#define IDM_COMMAND_COMMAND_WINDOW_RESTORE       449
#define IDM_COMMAND_COMMAND_WINDOW_ARRANGE       450
#define IDM_COMMAND_COMMAND_ZOOM_IN              451
#define IDM_COMMAND_COMMAND_ZOOM_OUT             452
#define IDM_COMMAND_COMMAND_ZOOM_EXTENTS         453
#define IDM_COMMAND_COMMAND_ZOOM_POINT           454
#define IDM_COMMAND_COMMAND_ZOOM_PREVIOUS        455
#define IDM_COMMAND_COMMAND_ZOOM_WIDTH           456
#define IDM_COMMAND_COMMAND_ENABLECOLORSEL_ON    457
#define IDM_COMMAND_COMMAND_ENABLECOLORSEL_OFF   458
#define IDM_COMMAND_COMMAND_SETAUTHORNAME        459
#define IDM_COMMAND_COMMAND_SETLAYERNAME         460
#define IDM_COMMAND_COMMAND_GETLAYERINFO         461
#define IDM_COMMAND_COMMAND_REMOVEMENU_FILE      462
#define IDM_COMMAND_COMMAND_REMOVEMENU_EDIT      463
#define IDM_COMMAND_COMMAND_REMOVEMENU_VIEW      464
#define IDM_COMMAND_COMMAND_REMOVEMENU_REDLINE   465
#define IDM_COMMAND_COMMAND_REMOVEMENU_TOOLS     466
#define IDM_COMMAND_COMMAND_REMOVEMENU_WINDOW    467
#define IDM_COMMAND_COMMAND_REMOVEMENU_HELP      468
#define IDM_COMMAND_COMMAND_ENABLEMENUITEM_ON    469 
#define IDM_COMMAND_COMMAND_ENABLEMENUITEM_OFF   470
#define IDM_COMMAND_COMMAND_ENABLEDOCMOD_ON      471
#define IDM_COMMAND_COMMAND_ENABLEDOCMOD_OFF     472
#define IDM_COMMAND_COMMAND_REDLINE_TOOL         473
#define IDM_COMMAND_COMMAND_AUTHOR_TOOL          474 
#define IDM_COMMAND_COMMAND_EYEGLASS_TOOL        475
#define IDM_COMMAND_COMMAND_BIRDSEYE_TOOL        476
#define IDM_COMMAND_COMMAND_CHANGEMARK_TOOL      477
#define IDM_COMMAND_COMMAND_SELECT_TOOL          478
#define IDM_COMMAND_COMMAND_ZOOM_TOOL            479
#define IDM_COMMAND_COMMAND_PAGE_FIRST           480
#define IDM_COMMAND_COMMAND_PAGE_LAST            481
#define IDM_COMMAND_COMMAND_PAGE_NEXT            482
#define IDM_COMMAND_COMMAND_PAGE_PREVIOUS        483
#define IDM_COMMAND_COMMAND_PAGE_SPECIFIC        484
#define IDM_COMMAND_COMMAND_MONOCHROME_ENABLE    485
#define IDM_COMMAND_COMMAND_MONOCHROME_DISABLE   486
#define IDM_COMMAND_COMMAND_REDLINECHM_ENABLE    487
#define IDM_COMMAND_COMMAND_REDLINECHM_DISABLE   488
#define IDM_COMMAND_COMMAND_DOCSTACK_TOOL        489
#define IDM_COMMAND_COMMAND_SIDE_BY_SIDE         490
#define IDM_COMMAND_COMMAND_SET_ISO_STRING       491
#define IDM_COMMAND_COMMAND_GET_ISO_STRING       492
#define IDM_COMMAND_COMMAND_SET_FOCUS            493
#define IDM_COMMAND_COMMAND_ADDUDPOPMENU         494
#define IDM_COMMAND_COMMAND_REMOVEUDPOPMENU      495
#define IDM_COMMAND_COMMAND_CLEARUDMENU          496
#define IDM_COMMAND_COMMAND_ENABLEUDPOPMENU_ON   497
#define IDM_COMMAND_COMMAND_ENABLEUDPOPMENU_OFF  498 
#define IDM_COMMAND_COMMAND_ADDUDMAINMENU        499
#define IDM_COMMAND_COMMAND_REMOVEUDMAINMENU     500
#define IDM_COMMAND_COMMAND_ADDUDMAINMENUITEM    501
#define IDM_COMMAND_COMMAND_REMOVEUDMAINMENUITEM 502
#define IDM_COMMAND_COMMAND_ENABLEUDMAINMENU_ON  503
#define IDM_COMMAND_COMMAND_ENABLEUDMAINMENU_OFF 504
#define IDM_COMMAND_COMMAND_SET_ON_TOP_ON        505
#define IDM_COMMAND_COMMAND_SET_ON_TOP_OFF       506
#define IDM_COMMAND_COMMAND_EXPORT_FILE_BMP      507
#define IDM_COMMAND_COMMAND_EXPORT_FILE_JPG      508
#define IDM_COMMAND_COMMAND_EXPORT_FILE_PNG      509
#define IDM_COMMAND_COMMAND_INQUIRE_DOCUMENT     510
#define IDM_COMMAND_COMMAND_INQUIRE_SYSTEM       511
#define IDM_COMMAND_COMMAND_MAIN_WIN_MINIMIZE    512
#define IDM_COMMAND_COMMAND_MAIN_WIN_MAXIMIZE    513
#define IDM_COMMAND_COMMAND_MAIN_WIN_RESTORE     514
#define IDM_COMMAND_COMMAND_GET_AUTHORS          515
#define IDM_COMMAND_COMMAND_VIEW_CHANGEMARK      516
#define IDM_COMMAND_COMMAND_GET_CHANGEMARKS      517
#define IDM_COMMAND_COMMAND_FILEOPEN_TOOL        518
#define IDM_COMMAND_COMMAND_DISPLAYISO_TOOL      519
#define IDM_COMMAND_COMMAND_PRINT_DOCSTACK       520
#define IDM_COMMAND_COMMAND_RUN_SILENT           521
#define IDM_COMMAND_COMMAND_SET_DOC_FOCUS        522
#define IDM_COMMAND_COMMAND_OPEN_DOCSTACK        523
                                                
#define IDM_COMMAND_STRING_SET_NOTIFICATIONS     802
#define IDM_COMMAND_STRING_ALTERNATEVIEW         804
#define IDM_COMMAND_STRING_CLIP_ALL              805
#define IDM_COMMAND_STRING_CLIP_ASK              806
#define IDM_COMMAND_STRING_CLOSEALL              807
#define IDM_COMMAND_STRING_CLOSEMARKUP           808
#define IDM_COMMAND_STRING_CLOSESESSION          809
#define IDM_COMMAND_STRING_DELETEITEM            810
#define IDM_COMMAND_STRING_DISABLEALTVIEW_ON     811
#define IDM_COMMAND_STRING_DISABLEALTVIEW_OFF    812
#define IDM_COMMAND_STRING_FOLDERCLEAR           813
#define IDM_COMMAND_STRING_INITFOLDERFILE        814
#define IDM_COMMAND_STRING_LOADFOLDERFILE        815
#define IDM_COMMAND_STRING_INVERTCOLORS          817
#define IDM_COMMAND_STRING_LOCKWINDOW_ON         818
#define IDM_COMMAND_STRING_LOCKWINDOW_OFF        819
#define IDM_COMMAND_STRING_NEWMARKUP             820
#define IDM_COMMAND_STRING_OPENMARKUP            821
#define IDM_COMMAND_STRING_DOC_NEXT              822
#define IDM_COMMAND_STRING_DOC_PREVIOUS          823
#define IDM_COMMAND_STRING_PANDISPLACEMENT       824
#define IDM_COMMAND_STRING_PRINT_QUICK           825
#define IDM_COMMAND_STRING_PRINT_DIALOG          826
#define IDM_COMMAND_STRING_RASTER_SAMPLE         827
#define IDM_COMMAND_STRING_RASTER_FULL           828
#define IDM_COMMAND_STRING_RASTER_SCALE          829
#define IDM_COMMAND_STRING_REPAINT               830
#define IDM_COMMAND_STRING_ROTATE_PREVIOUS       831
#define IDM_COMMAND_STRING_ROTATE_NEXT           832
#define IDM_COMMAND_STRING_ROTATE_0              833
#define IDM_COMMAND_STRING_ROTATE_90             834
#define IDM_COMMAND_STRING_ROTATE_180            835
#define IDM_COMMAND_STRING_ROTATE_270            836
#define IDM_COMMAND_STRING_SAVEMARKUP            837
#define IDM_COMMAND_STRING_SETFRAMEWINDOW        838
#define IDM_COMMAND_STRING_SETMARKUPCOLOR        839
#define IDM_COMMAND_STRING_SETRETURNDATA_SET     840
#define IDM_COMMAND_STRING_SETRETURNDATA_GET     841
#define IDM_COMMAND_STRING_TOGGLETOOLBAR         842
#define IDM_COMMAND_STRING_WINDOW_TILE_HORZ      843
#define IDM_COMMAND_STRING_WINDOW_TILE_VERT      844
#define IDM_COMMAND_STRING_WINDOW_CASCADE        845
#define IDM_COMMAND_STRING_WINDOW_FIT            846
#define IDM_COMMAND_STRING_WINDOW_MAXIMIZE       847
#define IDM_COMMAND_STRING_WINDOW_MINIMIZE       848
#define IDM_COMMAND_STRING_WINDOW_RESTORE        849
#define IDM_COMMAND_STRING_WINDOW_ARRANGE        850
#define IDM_COMMAND_STRING_ZOOM_IN               851
#define IDM_COMMAND_STRING_ZOOM_OUT              852
#define IDM_COMMAND_STRING_ZOOM_EXTENTS          853
#define IDM_COMMAND_STRING_ZOOM_POINT            854
#define IDM_COMMAND_STRING_ZOOM_PREVIOUS         855
#define IDM_COMMAND_STRING_ZOOM_WIDTH            856
#define IDM_COMMAND_STRING_ENABLECOLORSEL_ON     857
#define IDM_COMMAND_STRING_ENABLECOLORSEL_OFF    858
#define IDM_COMMAND_STRING_SETAUTHORNAME         859
#define IDM_COMMAND_STRING_SETLAYERNAME          860
#define IDM_COMMAND_STRING_GETLAYERINFO          861
#define IDM_COMMAND_STRING_REMOVEMENU_FILE       862
#define IDM_COMMAND_STRING_REMOVEMENU_EDIT       863
#define IDM_COMMAND_STRING_REMOVEMENU_VIEW       864
#define IDM_COMMAND_STRING_REMOVEMENU_REDLINE    865
#define IDM_COMMAND_STRING_REMOVEMENU_TOOLS      866
#define IDM_COMMAND_STRING_REMOVEMENU_WINDOW     867
#define IDM_COMMAND_STRING_REMOVEMENU_HELP       868
#define IDM_COMMAND_STRING_ENABLEMENUITEM_ON     869
#define IDM_COMMAND_STRING_ENABLEMENUITEM_OFF    870
#define IDM_COMMAND_STRING_ENABLEDOCMOD_ON       871
#define IDM_COMMAND_STRING_ENABLEDOCMOD_OFF      872
#define IDM_COMMAND_STRING_REDLINE_TOOL           873 
#define IDM_COMMAND_STRING_AUTHOR_TOOL           874
#define IDM_COMMAND_STRING_EYEGLASS_TOOL         875
#define IDM_COMMAND_STRING_BIRDSEYE_TOOL         876
#define IDM_COMMAND_STRING_CHANGEMARK_TOOL       877
#define IDM_COMMAND_STRING_SELECT_TOOL           878
#define IDM_COMMAND_STRING_ZOOM_TOOL             879
#define IDM_COMMAND_STRING_PAGE_FIRST            880
#define IDM_COMMAND_STRING_PAGE_LAST             881
#define IDM_COMMAND_STRING_PAGE_NEXT             882
#define IDM_COMMAND_STRING_PAGE_PREVIOUS         883
#define IDM_COMMAND_STRING_PAGE_SPECIFIC         884
#define IDM_COMMAND_STRING_MONOCHROME_ENABLE     885
#define IDM_COMMAND_STRING_MONOCHROME_DISABLE    886
#define IDM_COMMAND_STRING_REDLINECHM_ENABLE     887
#define IDM_COMMAND_STRING_REDLINECHM_DISABLE    888
#define IDM_COMMAND_STRING_DOCSTACK_TOOL         889
#define IDM_COMMAND_STRING_SIDE_BY_SIDE          890
#define IDM_COMMAND_STRING_SET_ISO_STRING        891
#define IDM_COMMAND_STRING_GET_ISO_STRING        892
#define IDM_COMMAND_STRING_SET_FOCUS             893
#define IDM_COMMAND_STRING_ADDUDPOPMENU          894
#define IDM_COMMAND_STRING_REMOVEUDPOPMENU       895
#define IDM_COMMAND_STRING_CLEARUDMENU           896
#define IDM_COMMAND_STRING_ENABLEUDPOPMENU_ON    897
#define IDM_COMMAND_STRING_ENABLEUDPOPMENU_OFF   898
#define IDM_COMMAND_STRING_ADDUDMAINMENU         899
#define IDM_COMMAND_STRING_REMOVEUDMAINMENU      900
#define IDM_COMMAND_STRING_ADDUDMAINMENUITEM     901
#define IDM_COMMAND_STRING_REMOVEUDMAINMENUITEM  902
#define IDM_COMMAND_STRING_ENABLEUDMAINMENU_ON   903
#define IDM_COMMAND_STRING_ENABLEUDMAINMENU_OFF  904
#define IDM_COMMAND_STRING_SET_ON_TOP_ON         905
#define IDM_COMMAND_STRING_SET_ON_TOP_OFF        906
#define IDM_COMMAND_STRING_EXPORT_FILE_BMP       907
#define IDM_COMMAND_STRING_EXPORT_FILE_JPG       908
#define IDM_COMMAND_STRING_EXPORT_FILE_PNG       909
#define IDM_COMMAND_STRING_INQUIRE_DOCUMENT      910
#define IDM_COMMAND_STRING_INQUIRE_SYSTEM        911
#define IDM_COMMAND_STRING_MAIN_WIN_MINIMIZE     912
#define IDM_COMMAND_STRING_MAIN_WIN_MAXIMIZE     913
#define IDM_COMMAND_STRING_MAIN_WIN_RESTORE      914
#define IDM_COMMAND_STRING_GET_AUTHORS           915
#define IDM_COMMAND_STRING_VIEW_CHANGEMARK       916
#define IDM_COMMAND_STRING_GET_CHANGEMARKS       917
#define IDM_COMMAND_STRING_FILEOPEN_TOOL         918
#define IDM_COMMAND_STRING_DISPLAYISO_TOOL       919
#define IDM_COMMAND_STRING_PRINT_DOCSTACK        920
#define IDM_COMMAND_STRING_RUN_SILENT            921
#define IDM_COMMAND_STRING_EXPORT_FILE_DLS       922
#define IDM_COMMAND_COMMAND_EXPORT_FILE_DLS      923
#define IDM_COMMAND_STRING_SET_DOC_FOCUS         924
#define IDM_COMMAND_STRING_OPEN_DOCSTACK         925
#define IDM_COMMAND_SERIES_MVS                   926
#endif // INC_MYRTEST_H
